## net.i2p.router.web
Class NoticeHelper

    java.lang.Object
      net.i2p.router.web.NoticeHelper

    public class NoticeHelper

extends java.lang.Object

Simple helper to query the appropriate router for data necessary to render any emergency notices

Constructor Summary
`NoticeHelper()`

Method Summary
`java.lang.String` `getSystemNotice()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoticeHelper

    public NoticeHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### getSystemNotice

    public java.lang.String getSystemNotice()